#
# Copyright (c) 2008-2018 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces
from pyams_content.features.footer.interfaces import IFooterRendererSettings

# import packages
from pyams_i18n.schema import I18nTextLineField
from zope.interface import Interface, Attribute

from onf_website import _


class IDefaultFooterRendererSettings(IFooterRendererSettings):
    """Default ONF footer renderer settings"""

    social_links_header = I18nTextLineField(title=_("Social networks header"),
                                            description=_("Social networks links header title"),
                                            required=False)

    social_links = Attribute("Social networks links list")

    sites_links_header = I18nTextLineField(title=_("Sites links header"),
                                           description=_("Sites links header title"),
                                           required=False)

    sites_links = Attribute("ONF sites links list")

    resources_links_header = I18nTextLineField(title=_("Resources links header"),
                                               description=_("Resources links header title"),
                                               required=False)

    resources_links = Attribute("Resources links list")

    contacts_links_header = I18nTextLineField(title=_("Contacts links header"),
                                              description=_("Contacts links header title"),
                                              required=False)

    contacts_links = Attribute("Contacts links list")

    apps_links_header = I18nTextLineField(title=_("Applications links header"),
                                          description=_("Applications links header title"),
                                          required=False)

    apps_links = Attribute("Applications links list")

    legal_links_signature = I18nTextLineField(title=_("Legal links signature"),
                                              description=_("Legal links footer signature"),
                                              required=False)

    legal_links = Attribute("Legal mentions links list")


class IDefaultFooterMenu(Interface):
    """Default footer menu marker interface"""
